commit:     870dfcb3597a9e6324d96c1e2ea15f62203dd2de
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 09:31:22 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 09:31:22 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=870dfcb3

kde-plasma/plasma-workspace: Add IUSE="screencast"

Closes: https://bugs.gentoo.org/736442
Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/plasma-workspace/metadata.xml                 |  1 +
 kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild | 10 ++++++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/kde-plasma/plasma-workspace/metadata.xml 
b/kde-plasma/plasma-workspace/metadata.xml
index 81b1725064..b52b6b4858 100644
--- a/kde-plasma/plasma-workspace/metadata.xml
+++ b/kde-plasma/plasma-workspace/metadata.xml
@@ -10,6 +10,7 @@
                <flag name="geolocation">Enables dataengine providing location 
information</flag>
                <flag name="qalculate">Enable Qalculate runner using 
<pkg>sci-libs/libqalculate</pkg></flag>
                <flag name="qrcode">Enable support for creating QR codes from 
clipboard data using <pkg>kde-frameworks/prison</pkg></flag>
+               <flag name="screencast">Enable screencast portal using 
<pkg>media-video/pipewire</pkg></flag>
                <flag name="telemetry">Enable User Feedback control module for 
<pkg>kde-plasma/systemsettings</pkg></flag>
        </use>
 </pkgmetadata>

diff --git a/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild 
b/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
index 430c2d00e3..a2106a6441 100644
--- a/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
+++ b/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
@@ -16,7 +16,7 @@ DESCRIPTION="KDE Plasma workspace"
 LICENSE="GPL-2" # TODO: CHECK
 SLOT="5"
 KEYWORDS=""
-IUSE="appstream +calendar geolocation gps qalculate +semantic-desktop systemd 
telemetry"
+IUSE="appstream +calendar geolocation gps qalculate screencast 
+semantic-desktop systemd telemetry"
 
 REQUIRED_USE="gps? ( geolocation )"
 
@@ -81,7 +81,6 @@ COMMON_DEPEND="
        >=kde-plasma/libksysguard-${PVCUT}:5
        >=kde-plasma/libkworkspace-${PVCUT}:5
        media-libs/phonon[qt5(+)]
-       >=media-video/pipewire-0.3:=
        sys-libs/zlib
        x11-libs/libICE
        x11-libs/libSM
@@ -98,6 +97,7 @@ COMMON_DEPEND="
        geolocation? ( >=kde-frameworks/networkmanager-qt-${KFMIN}:5 )
        gps? ( sci-geosciences/gpsd )
        qalculate? ( sci-libs/libqalculate:= )
+       screencast? ( >=media-video/pipewire-0.3:= )
        semantic-desktop? ( >=kde-frameworks/baloo-${KFMIN}:5 )
        telemetry? ( dev-libs/kuserfeedback:5 )
 "
@@ -177,6 +177,12 @@ src_prepare() {
        if [[ ${KDE_BUILD_TYPE} = release ]]; then
                find po -type f -name "*po" -and -name "libkworkspace*" -delete 
|| die
        fi
+
+       # TODO: try to get a build switch upstreamed
+       if ! use screencast; then
+               sed -e "s/^pkg_check_modules.*PipeWire/#&/" \
+                       -i CMakeLists.txt || die
+       fi
 }
 
 src_configure() {

Reply via email to